(function(esscUtil) {

	esscUtil.applyEssc = function(aab301) {
		if(mui.os.android) {
			plus.nativeUI.showWaiting("努力加载中，请稍候......");
			var main = plus.android.runtimeMainActivity();
			var Intent = plus.android.importClass("android.content.Intent");
			var intent = new Intent();
			intent.putExtra("aab301", aab301);
			intent.setClassName(main, "com.bringspring.shebao.dandong.ApplyEsscActivity");
			main.startActivity(intent);
			plus.nativeUI.closeWaiting();
			return;
		}
		if(mui.os.ios) {
			plus.nativeUI.showWaiting("努力加载中，请稍候......");
			var newVCobj = plus.ios.newObject("ApplyEsscViewController");
			newVCobj.plusSetAttribute("aab301", aab301);
			var UIApplicationClass = plus.ios.importClass("UIApplication");
			var UIAppObj = UIApplicationClass.sharedApplication();
			var del = plus.ios.invoke(UIAppObj, "delegate");
			var appWindowObj = plus.ios.invoke(del, "window");
			var appRootController = plus.ios.invoke(appWindowObj, "rootViewController");
			plus.ios.invoke(appRootController, "presentViewController:animated:completion:", newVCobj, "YES", null);
			plus.nativeUI.closeWaiting();
			return;
		}
	}

	esscUtil.validBusiSeq = function(aab301, signNo, busiSeq, pageId) {
		var btnArray = ['取消', '确定'];
		mui.confirm('您所查询的信息涉及敏感信息，请按照提示录入电子社保卡密码后，进行相关业务查询。', '温馨提示', btnArray, function(e) {
			if(e.index == 1) {
				if(mui.os.android) {
					plus.nativeUI.showWaiting("努力加载中，请稍候......");
					var main = plus.android.runtimeMainActivity();
					var Intent = plus.android.importClass("android.content.Intent");
					var intent = new Intent();
					intent.putExtra("aab301", aab301);
					intent.putExtra("signNo", signNo);
					intent.putExtra("busiSeq", busiSeq);
					intent.putExtra("pageId", pageId);
					intent.setClassName(main, "com.bringspring.shebao.dandong.ValidBusiSeqActivity");
					main.startActivity(intent);
					plus.nativeUI.closeWaiting();
					return;
				}
				if(mui.os.ios) {
					plus.nativeUI.showWaiting("努力加载中，请稍候......");
					var newVCobj = plus.ios.newObject("ValidBusiSeqViewController");
					newVCobj.plusSetAttribute("aab301", aab301);
					newVCobj.plusSetAttribute("signNo", signNo);
					newVCobj.plusSetAttribute("busiSeq", busiSeq);
					newVCobj.plusSetAttribute("pageId", pageId);
					var UIApplicationClass = plus.ios.importClass("UIApplication");
					var UIAppObj = UIApplicationClass.sharedApplication();
					var del = plus.ios.invoke(UIAppObj, "delegate");
					var appWindowObj = plus.ios.invoke(del, "window");
					var appRootController = plus.ios.invoke(appWindowObj, "rootViewController");
					plus.ios.invoke(appRootController, "presentViewController:animated:completion:", newVCobj, "YES", null);
					plus.nativeUI.closeWaiting();
					return;
				}
			}
		});

	}
}(window.esscUtil = {}));