var smsobj;
var phoneobj;
var time;
var checkCallBackFun;

function smsSendCode(smsObj, phoneObj, times, smsType) {
	smsobj = smsObj;
	phoneobj = phoneObj;
	time = times;
	//倒计时
	smsobj.addEventListener("tap", function() {
		if(phoneobj != undefined && phoneobj != "") {
			if(phoneObj.value == undefined || phoneObj.value == "") {
				var myreg = /^\d{11}$/;
				if(phoneObj.value.trim() == "") {
					mui.alert('手机号不能为空！', '温馨提示');
					return;
				}
				if(phoneObj.value.trim() != "" && !myreg.test(phoneObj.value.trim())) {
					mui.alert('请输入有效的手机号码！', '温馨提示');
					return;
				}
			}
		}
		plus.nativeUI.showWaiting("努力加载中，请稍候......");
		var paramObj = {};
		paramObj.account = "account_k_v";
		paramObj.phone = phoneObj.value;
		paramObj.smsType = smsType;
		var paramJson = JSON.stringify(paramObj);
		
		requestUtilPost(appHost.service + "smssend", "data", paramJson, true, sendSuccessFun, sendErrorFun);
	});
}

function sendSuccessFun(obj) {
	plus.nativeUI.closeWaiting();
	try {
		if(obj.code == 'success') {
			document.getElementById("v_code_result").value = obj.DynaCodeCreateTime;
			var phoneResultObj = document.getElementById("v_phone_result");
            if(phoneResultObj != undefined){
                phoneResultObj.value = obj.Phone;
            }
			//倒计时
			var t = time;
			var intervalNum = setInterval(function() {
				smsobj.disabled = "disabled";
				if(phoneobj != undefined && phoneobj != "") {
					phoneobj.disabled = "disabled";
				}
				if(t <= 0) {
					smsobj.innerText = "重发短信验证码";
					smsobj.disabled = "";
					if(phoneobj != undefined && phoneobj != "") {
						phoneobj.disabled = "";
					}
					clearInterval(intervalNum);
					document.getElementById("v_code_result").value = "";
				} else {
					smsobj.innerText = "短信生效(" + t + ")秒";
					t--;
				}
			}, 1000);
		} else if(obj.code == 'error') {
			mui.alert(obj.msg, '温馨提示');
		} else {
			mui.alert("服务器响应错误！", '温馨提示');
		}
	} catch(e) {
		//TODO handle the exception
		mui.alert("数据解析异常！", '温馨提示');
	}
}

function sendErrorFun(result) {
	plus.nativeUI.closeWaiting();
	mui.alert(result, '温馨提示');
}

function smsCheckCode(phone, codeTime, code, callBackFun){
	checkCallBackFun = callBackFun;
	plus.nativeUI.showWaiting("努力加载中，请稍候......");
	var paramObj = {};
	paramObj.cmd = "checkSms";
	paramObj.phone = phone;
	paramObj.code_time = codeTime;
	paramObj.code = code;
	var paramJson = JSON.stringify(paramObj);
	
	requestUtilPost(appHost.service + "temp", "p", paramJson, true, checkSuccessFun, sendErrorFun);
}

function checkSuccessFun(obj) {
	plus.nativeUI.closeWaiting();
	try {
		if(obj.code == 'success') {
			checkCallBackFun();
		} else if(obj.code == 'error') {
			mui.alert(obj.msg, '温馨提示');
		} else {
			mui.alert("服务器响应错误！", '温馨提示');
		}
	} catch(e) {
		//TODO handle the exception
		mui.alert("数据解析异常！", '温馨提示');
	}
}