(function(authenticationUtil) {
	//养老认证
	authenticationUtil.pension = function() {
		if(mui.os.android) {
			plus.nativeUI.showWaiting("努力加载中，请稍候......");
			var main = plus.android.runtimeMainActivity();
			var Intent = plus.android.importClass("android.content.Intent");
			var intent = new Intent();
			intent.putExtra("type", '1');
			intent.setClassName(main, "com.bringspring.shebao.dandong.AuthenticationIndexActivity");
			main.startActivity(intent);
			plus.nativeUI.closeWaiting();
			return;
		}
		if(mui.os.ios) {
			plus.nativeUI.showWaiting("努力加载中，请稍候......");
			var newVCobj = plus.ios.newObject("AuthenticationIndexViewController");
			newVCobj.plusSetAttribute("type", '1');
			var UIApplicationClass = plus.ios.importClass("UIApplication");
			var UIAppObj = UIApplicationClass.sharedApplication();
			var del = plus.ios.invoke(UIAppObj, "delegate");
			var appWindowObj = plus.ios.invoke(del, "window");
			var appRootController = plus.ios.invoke(appWindowObj, "rootViewController");
			plus.ios.invoke(appRootController, "presentViewController:animated:completion:", newVCobj, "YES", null);
			plus.nativeUI.closeWaiting();
			return;
		}
	}
	//工伤认证
	authenticationUtil.injury = function() {
		if(mui.os.android) {
			plus.nativeUI.showWaiting("努力加载中，请稍候......");
			var main = plus.android.runtimeMainActivity();
			var Intent = plus.android.importClass("android.content.Intent");
			var intent = new Intent();
			intent.putExtra("type", '4');
			intent.setClassName(main, "com.bringspring.shebao.dandong.AuthenticationIndexActivity");
			main.startActivity(intent);
			plus.nativeUI.closeWaiting();
			return;
		}
		if(mui.os.ios) {
			plus.nativeUI.showWaiting("努力加载中，请稍候......");
			var newVCobj = plus.ios.newObject("AuthenticationIndexViewController");
			newVCobj.plusSetAttribute("type", '4');
			var UIApplicationClass = plus.ios.importClass("UIApplication");
			var UIAppObj = UIApplicationClass.sharedApplication();
			var del = plus.ios.invoke(UIAppObj, "delegate");
			var appWindowObj = plus.ios.invoke(del, "window");
			var appRootController = plus.ios.invoke(appWindowObj, "rootViewController");
			plus.ios.invoke(appRootController, "presentViewController:animated:completion:", newVCobj, "YES", null);
			plus.nativeUI.closeWaiting();
			return;
		}
	}
	//人脸识别
	authenticationUtil.checkFace = function(type,account,userName){
		if(mui.os.android) {
			plus.nativeUI.showWaiting("努力加载中，请稍候......");
			var main = plus.android.runtimeMainActivity();
			var Intent = plus.android.importClass("android.content.Intent");
			var intent = new Intent();
			intent.putExtra("type", type);
			if(account && account != ""){
				intent.putExtra("account", account);
			}
			if(userName && userName != ""){
				intent.putExtra("userName", userName);
			}
			intent.setClassName(main, "com.bringspring.shebao.dandong.AuthenticationActivity");
			main.startActivity(intent);
			plus.nativeUI.closeWaiting();
			return;
		}
		if(mui.os.ios) {
			plus.nativeUI.showWaiting("努力加载中，请稍候......");
			var newVCobj = plus.ios.newObject("AuthenticationViewController");
			newVCobj.plusSetAttribute("contents", type);
			if(account && account != ""){
				newVCobj.plusSetAttribute("account", account);
			}
			if(userName && userName != ""){
				newVCobj.plusSetAttribute("userName", userName);
			}
			var UIApplicationClass = plus.ios.importClass("UIApplication");
			var UIAppObj = UIApplicationClass.sharedApplication();
			var del = plus.ios.invoke(UIAppObj, "delegate");
			var appWindowObj = plus.ios.invoke(del, "window");
			var appRootController = plus.ios.invoke(appWindowObj, "rootViewController");
			plus.ios.invoke(appRootController, "presentViewController:animated:completion:", newVCobj, "YES", null);
			plus.nativeUI.closeWaiting();
			return;
		}
	}
}(window.authenticationUtil = {}));