(function($, jump) {

	jump.setting = function() {
		var pageUrl = 'setting-android.html'
		if (mui.os.ios) {
			pageUrl = 'setting-ios.html'
		}
		var settingPage = $.preload({
			"id": 'setting',
			url: pageUrl
		});
		$.fire(settingPage, 'show', null);
		setTimeout(function() {
			$.openWindow({
				id: 'setting',
				show: {
					aniShow: 'pop-in'
				},
				waiting: {
					autoShow: true
				}
			});
		}, 0);
	}

	jump.login = function() {
		var loginPage = $.preload({
			"id": 'login',
			url: 'login.html'
		});
		$.fire(loginPage, 'show', null);
		$.openWindow({
			id: 'login',
			createNew:false,
			show: {
				aniShow: 'pop-in'
			},
			waiting: {
				autoShow: true
			}
		});
	}

	jump.register = function() {
		var registerPage = $.preload({
			"id": 'register',
			url: 'register.html'
		});
		$.fire(registerPage, 'show', null);
		setTimeout(function() {
			$.openWindow({
				id: 'register',
				show: {
					aniShow: 'pop-in'
				},
				waiting: {
					autoShow: true
				}
			});
		}, 0);
	}

	jump.forgetPassword = function() {
		var forgetPasswordPage = $.preload({
			"id": 'forgetPassword',
			url: 'forget_password.html'
		});
		$.fire(forgetPasswordPage, 'show', null);
		setTimeout(function() {
			$.openWindow({
				id: 'forgetPassword',
				show: {
					aniShow: 'pop-in'
				},
				waiting: {
					autoShow: true
				}
			});
		}, 0);
	}
	
	jump.findPassword = function() {
		var forgetPasswordPage = $.preload({
			"id": 'findPassword',
			url: 'find_password.html'
		});
		$.fire(forgetPasswordPage, 'show', null);
		setTimeout(function() {
			$.openWindow({
				id: 'findPassword',
				show: {
					aniShow: 'pop-in'
				},
				waiting: {
					autoShow: true
				}
			});
		}, 0);
	}
	
	jump.main = function() {
		var mainPage = $.preload({
			"id": 'main',
			url: 'tab-webview-main.html'
		});
		$.fire(mainPage, 'show', null);
		setTimeout(function() {
			$.openWindow({
				id: 'main',
				show: {
					aniShow: 'pop-in'
				},
				waiting: {
					autoShow: true
				}
			});
		}, 0);
	}

}(mui, window.jump = {}));