var isNative = true;

function requestUtilPost(method, paramName, param, isJson, successCallback, errorCallback) {
	if (isNative) {
		plus.RequestPlugin.requestFunction(method, paramName, param, isJson,
			function(obj) {
				if (mui.os.ios && isJson) {
					try {
						successCallback(JSON.parse(obj));
					} catch (e) {
						//TODO handle the exception
						plus.nativeUI.closeWaiting();
						mui.alert("数据解析异常！", '温馨提示');
					}
				} else {
					successCallback(obj);
				}
			},
			function(result) {
				errorCallback(result);
			});
	} else {
		var url = method;
		// console.log(url + "?" + paramName + "=" + param);
		var parmer = myCrypto.encryptFun(param);
		// console.log(url + "?" + paramName + "=" + parmer);
		var paramData = {};
		paramData[paramName] = parmer;
		mui.ajax({
			url: url,
			data: paramData,
			type: "POST",
			dataType: 'text',
			timeout: 30000,
			error: function(xhr, type, errorThrown) {
				errorCallback("网络请求失败！");
			},
			success: function(data) {
				var dataStr = myCrypto.decryptFun(data);
				console.log(dataStr);

				if (dataStr == "{}") {
					mui.alert("未查询到数据信息！", '温馨提示');
				} else if (dataStr == null || dataStr == "null" || dataStr == "") {
					mui.alert("服务器返回错误！", '温馨提示');
				} else if (dataStr.trim() == '0') {
					mui.alert('服务器繁忙，请稍后重试!', '温馨提示');
				} else {
					if (isJson) {
						var obj = JSON.parse(dataStr);
						successCallback(obj);
					} else {
						successCallback(dataStr);
					}
				}
			}
		});
	}
}

function requestUtilGet(method, isJson, successCallback, errorCallback) {
	if (isNative) {
		// console.log('requestUtilGet--------------' + method);
		plus.RequestPlugin.requestGetMethod(method, isJson,
			function(obj) {
				if (mui.os.ios && isJson) {
					try {
						successCallback(JSON.parse(obj));
					} catch (e) {
						//TODO handle the exception
						plus.nativeUI.closeWaiting();
						mui.alert("数据解析异常！", '温馨提示');
					}
				} else {
					successCallback(obj);
				}
			},
			function(result) {
				errorCallback(result);
			});
	} else {
		var url = method;
		// console.log(url);
		mui.ajax({
			url: url,
			type: "GET",
			dataType: 'text',
			timeout: 30000,
			error: function(xhr, type, errorThrown) {
				errorCallback("网络请求失败！");
			},
			success: function(dataStr) {
				console.log(dataStr);
				if (dataStr == "{}") {
					mui.alert("未查询到数据信息！", '温馨提示');
				} else if (dataStr == null || dataStr == "null" || dataStr == "") {
					mui.alert("服务器返回错误！", '温馨提示');
				} else if (dataStr.trim() == '0') {
					mui.alert('服务器繁忙，请稍后重试!', '温馨提示');
				} else {
					if (isJson) {
						var obj = JSON.parse(dataStr);
						successCallback(obj);
					} else {
						successCallback(dataStr);
					}
				}
			}
		});
	}
}

function requestUtilCheckRuntime() {
	if (isNative) {
		// console.log('requestUtilCheckRuntime--------------');
		if (mui.os.ios) {
			try {
				if (plus.navigator.isSimulator() || plus.navigator.isRoot()) {
					mui.alert('运行环境不支持', '温馨提示', function() {
						plus.runtime.quit();
					})
				}
			} catch (e) {}
		} else if (mui.os.android) {
			plus.RequestPlugin.checkRuntime(
				function(obj) {
					if (obj && obj == "true") {
						mui.alert('运行环境不支持', '温馨提示', function() {
							plus.runtime.quit();
						})
					}
				},
				function(result) {
					// console.log('requestUtilCheckRuntime--------------error');
				});
		}
	}
}
