mui.init();
mui.ready(function() {
	initGallery();
});
mui.plusReady(function() {
	var localVersion = plus.runtime.version;
	var localVersionNum = localVersion.replace(/\./g, "");
	testVersion(localVersionNum);
	loadBannerData();
	loadXWData();
	loadBankXWData();
	// loadYiBaoXWData();
	// try {
	// 	if(plus.navigator.isSimulator() || plus.navigator.isRoot()){
	// 		mui.alert('运行环境不支持','温馨提示',function(){
	// 			plus.runtime.quit();
	// 		})
	// 	}
	// } catch (e) {
	// }

	mui('#content_div').on('tap', 'li', function() {
		var targetId = this.getAttribute('id');
		if (targetId == "authentication/pension") { //养老认证
			authenticationUtil.pension();
			return;
		} else {
			mui.alert("维护中，请使用辽事通App查询！", '温馨提示');
		}
		return;
		
		var canShow = false;
		var state = app.getState();
		if ((state.token != "" && state.token != undefined && state.accountMask != undefined) ||
			targetId == "jobReg/job_reg_index") {
			canShow = true;
		}
		if (canShow) {
			if (targetId == "apply_ecard") {
				var aab301 = plus.storage.getItem("aab301");
				esscUtil.applyEssc(aab301);
				return;
			}
			var targetUrl = targetId + ".html";
			var ws = plus.webview.create(targetUrl, targetId, {
				top: "0px",
				bottom: "0px"
			});
			ws.show();
		} else {
			var btnArray = ['否', '是'];
			mui.confirm('需要登录才能使用此功能，是否登录？', '温馨提示', btnArray, function(e) {
				if (e.index == 1) {
					jump.login();
				}
			});
		}
	});

});
var old_back = mui.back;
mui.back = function() {
	if (downloadTask != undefined) {
		plus.downloader.clear();
		delFile(downloadTask.filename);
	}
	var self = plus.webview.currentWebview();
	var parentView = self.opener();
	parentView.evalJS("dismissPopover()");
	old_back();
}
var settings = app.getSettings();
var state = app.getState();
window.addEventListener('refresh', function(event) {
	state = app.getState();
});

mui('#xw_content_div').on('tap', 'li', function() {
	var targetId = this.getAttribute('id');
	var canShow = false;
	var state = app.getState();
	if ((state.token != "" && state.token != undefined && state.accountMask != undefined) || targetId ==
		"regulation_list" || targetId == "gov_list" || targetId == "party_list" || targetId == "handle_list") {
		canShow = true;
	}
//	if(targetId == "living/living_index" || targetId == "bank/bank_sub_account"){
		if (canShow) {
			var targetUrl = targetId + ".html";
			var ws = plus.webview.create(targetUrl, targetId, {
				top: "0px",
				bottom: "0px"
			});
			ws.show();
		} else {
			var btnArray = ['否', '是'];
			mui.confirm('需要登录才能使用此功能，是否登录？', '温馨提示', btnArray, function(e) {
				if (e.index == 1) {
					jump.login();
				}
			});
		}
//	} else {
//		mui.alert("维护中，请使用辽事通App查询！", '温馨提示');
//	}
	
	
});

function testVersion(localVersionNum) {
	var url = appHost.download + "version.xml?x=" + Math.random();
	if (mui.os.ios) {
		url = appHost.download + "version_ios.xml?x=" + Math.random();;
	}
	mui.ajax(url, {
		dataType: 'xml',
		type: 'get',
		timeout: 30000,
		success: function(data) {
			var versionTag = data.getElementsByTagName("version");
			if (versionTag.length > 0) {
				var version = versionTag[0].firstChild.nodeValue;
				console.log("versionTag = " + version);
				console.log("localVersionNum = " + localVersionNum);
				if (Number(version) > Number(localVersionNum)) {
					var urlTag = data.getElementsByTagName("url");
					var downloadUrl = urlTag.length > 0 ? urlTag[0].firstChild.nodeValue : "";
					if (downloadUrl != "") {
						var fileSizeStrTag = data.getElementsByTagName("fileSize");
						var fileSizeStr = "";
						if (fileSizeStrTag[0] != undefined && (fileSizeStrTag[0].firstChild != null)) {
							fileSizeStr = fileSizeStrTag[0].firstChild.nodeValue;
						}
						var infoTag = data.getElementsByTagName("info");
						var info = "";
						if (infoTag[0] != undefined && (infoTag[0].firstChild != null)) {
							info = infoTag[0].firstChild.nodeValue;
						}
						upgrade(downloadUrl, fileSizeStr, info);
					} else {
						mui.alert("更新失败，无效的更新地址！", '温馨提示');
					}
				}
			}
		},
		error: function(xhr, type, errorThrown) {
			setTimeout(function() {
				try {
					var paramObj = {};
					paramObj.appName = "ddhmk";
					if (mui.os.android) {
						paramObj.appType = "android";
					}
					if (mui.os.ios) {
						paramObj.appType = "ios";
					}
					var paramJson = JSON.stringify(paramObj);
					var url = appHost.service + "appversion";
					requestUtilPost(url, "p", paramJson, true, function(obj) {
						var version = obj.version;
						if (obj.code == 'success') {
							if (Number(version) > Number(localVersionNum)) {
								var downloadUrl = obj.url;
								var fileSizeStr = obj.fileSize;
								var info = obj.info;
								upgrade(downloadUrl, fileSizeStr, info);
							}
						}
					}, function(error) {

					});
				} catch (e) {
					//TODO handle the exception
				}
			}, 500);

		}
	});
}

function upgrade(downloadUrl, fileSizeStr, info) {
	var btnArray = ['取消', '确认'];
	if (mui.os.android) {
		mui.confirm('当前有新版本需要更新？', '提示', btnArray, function(e) {
			if (e.index == 1) {
				var main = plus.android.runtimeMainActivity();
				var Intent = plus.android.importClass("android.content.Intent");
				var intent = new Intent();
				intent.putExtra("updateUrl", downloadUrl);
				intent.putExtra("fileSizeStr", fileSizeStr);
				intent.putExtra("description", info);
				intent.setClassName(main, "com.bringspring.shebao.dandong.UpdateDownloadActivity");
				main.startActivity(intent);
			} else {
				plus.runtime.quit();
			}
		});
	} else if (mui.os.ios) {
		mui.confirm('当前有新版本需要更新？', '提示', btnArray, function(e) {
			if (e.index == 1) {
				plus.runtime.openURL(encodeURI(downloadUrl));
			}
		});

	}
}


function initGallery() {
	var slider = document.getElementById('Gallery');
	var group = slider.querySelector('.mui-slider-group');
	var items = mui('.mui-slider-item', group);
	var first = items[0].cloneNode(true);
	first.classList.add('mui-slider-item-duplicate');
	var last = items[items.length - 1].cloneNode(true);
	last.classList.add('mui-slider-item-duplicate');
	var sliderApi = mui(slider).slider();
	group.classList.add('mui-slider-loop');
	group.insertBefore(last, group.firstChild);
	group.appendChild(first);
	sliderApi.refresh();
	sliderApi.gotoItem(0);
}

function loadBannerData() {
    setTimeout(function() {
        try {
            var url = appHost.bannerService;
            requestUtilGet(url, true, function(obj) {
                try {
//                    console.log(res);
//                    var obj = JSON.parse(res);
                    if (obj.code && obj.code == 'success') {
                        var data = obj.list;
                        var slider_indicator_content = document.getElementById("slider_indicator_content");
                        var slider_content = document.getElementById("slider_content");
                        console.log("data.length==========" + data.length);
                        for (var i = 0; i < data.length; i++) {
                            var itemId = data[i].id;
                            var itemNetAddress = data[i].netAdress;
                            var itemLinkAddress = "";
                            var itemIsLink = data[i].isLink;
                            var itemOrderNumber = data[i].orderNumber;

                            if (itemIsLink == "1") {
                                itemLinkAddress = data[i].linkAddress;
                            }
                            var item_div_indicator = document.createElement('div');
                            item_div_indicator.className = 'mui-indicator';

                            var j = i + 1;
                            var index = j % 5;
                            if (j == 1) {
                                var item_div_start = document.createElement('div');
                                item_div_start.id = i;
                                item_div_start.title = itemLinkAddress;
                                item_div_start.className = 'mui-slider-item mui-slider-item-duplicate';
                                item_div_start.innerHTML =
                                    '<a href="#"><img id="banner_start" src="img/banner' + index +
                                    '.png"/></a>';
                                slider_content.appendChild(item_div_start);

                                item_div_indicator.className = 'mui-indicator mui-active';

                            }
                            var item_div = document.createElement('div');
                            item_div.id = i;
                            item_div.title = itemLinkAddress;
                            item_div.className = 'mui-slider-item mui-slider-item-duplicate';
                            item_div.innerHTML = '<a href="#"><img id="banner_' + itemOrderNumber +
                                '" src="img/banner' + index + '.png"/></a>';
                            slider_content.appendChild(item_div);
                            if (j == data.length) {
                                var item_div_end = document.createElement('div');
                                item_div_end.id = i;
                                item_div_end.title = itemLinkAddress;
                                item_div_end.className = 'mui-slider-item mui-slider-item-duplicate';
                                item_div_end.innerHTML = '<a href="#"><img id="banner_end" src="img/banner' +
                                    index + '.png"/></a>';
                                slider_content.appendChild(item_div_end);
                            }
                            slider_indicator_content.appendChild(item_div_indicator);
                        }
                        var slider = mui("#slider");
                        slider.slider({
                            interval: 5000
                        });

                        for (var k = 0; k < data.length; k++) {
                            var item = data[k];
                            if (k == 0) {
                                item["mobile_index"] = 'start';
                            } else if (k == (data.length - 1)) {
                                item["mobile_index"] = 'end';
                            } else {
                                item["mobile_index"] = k;
                            }

                            (function(item) {
                                setBannerImg(item);
                            })(item);
                        }
                    } else {
                        defaultBanner();
                    }
                } catch (e) {
                    //TODO handle the exception
                    console.log("error==========");
                    defaultBanner();
                }
            }, function(error) {
                defaultBanner();
            });
        } catch (e) {
            //TODO handle the exception
        }
    }, 1000);
    
}

function defaultBanner() {
	var slider_indicator_content = document.getElementById("slider_indicator_content");
	var slider_content = document.getElementById("slider_content");
	for (var i = 0; i <= 5; i++) {
		var item_div_indicator = document.createElement('div');
		item_div_indicator.className = 'mui-indicator';
		var index = i;
		if (i == 0) {
			item_div_indicator.className = 'mui-indicator mui-active';
			index = i + 1;
		}
		if (i == 5) {
			index = i - 1;
		}
		var item_div = document.createElement('div');
		item_div.id = i;
		item_div.className = 'mui-slider-item mui-slider-item-duplicate';
		item_div.innerHTML = '<a href="#"><img id="banner_' + index + '" src="img/banner' + index + '.png"/></a>';
		slider_content.appendChild(item_div);
		if (i != 4 && i != 5) {
			slider_indicator_content.appendChild(item_div_indicator);
		}

	}
	var slider = mui("#slider");
	slider.slider({
		interval: 5000
	});
}

function setBannerImg(item) {
    if(mui.os.ios){
        var imgId = "banner_" + item.orderNumber;
        if (item.mobile_index == "start") {
            document.getElementById("banner_start").src = item.netAdress;
        }
        if (item.mobile_index == "end") {
            document.getElementById("banner_end").src = item.netAdress;
        }
        document.getElementById(imgId).src = item.netAdress;
    } else {
        var relativePath = "_downloads/banner" + item.id + item.extName;
            // console.log("图片地址=" + relativePath);
        plus.io.resolveLocalFileSystemURL(relativePath, function(entry) {
            // console.log("图片存在,直接设置=" + relativePath);
            setImgFromLocal(item, relativePath);
        }, function(e) {
            var loadUrl = item.netAdress;
            // console.log("图片不存在,联网下载=" + loadUrl);
            setImgFromNet(item, loadUrl, relativePath);
        });
    }
	
}

function setImgFromNet(item, loadUrl, relativePath) {
    var dtask = plus.downloader.createDownload(loadUrl, {
        method: 'GET',
        filename: relativePath
    }, function(d, status) {
        if (status == 200) {
            // console.log("下载成功relativePath=" + relativePath);
            setImgFromLocal(item, relativePath);
        } else {
            // console.log("下载失败=" + status + "==" + relativePath);
            if (relativePath != null)
                delFile(relativePath);
        }
    });
    dtask.start();
}

function setImgFromLocal(item, relativePath) {
	var imgId = "banner_" + item.orderNumber;
	var sd_path = plus.io.convertLocalFileSystemURL(relativePath);
	console.log("加载本地图片=" + sd_path + "==" + relativePath);
	if (item.mobile_index == "start") {
		document.getElementById("banner_start").src = sd_path;
	}
	if (item.mobile_index == "end") {
		document.getElementById("banner_end").src = sd_path;
	}
	document.getElementById(imgId).src = sd_path;
}

function delFile(relativePath) {
	plus.io.resolveLocalFileSystemURL(relativePath, function(entry) {
		entry.remove(function(entry) {
			// console.log("文件删除成功==" + relativePath);
		}, function(e) {
			// console.log("文件删除失败=" + relativePath);
		});
	});
}

function loadXWData() {
    setTimeout(function() {
        try {
            var url = appHost.newsService;
            requestUtilGet(url, true, function(obj) {
                try {
                    if (obj != null) {
                        var domcontent_div = document.getElementById("xw_content");
                        var html = template("accountresult", obj);
                        domcontent_div.innerHTML += html;
                    }
                } catch (e) {
                    //TODO handle the exception
                    //                    mui.alert("数据解析异常！", '温馨提示');
                }
            }, function(error) {

            });
        } catch (e) {
            //TODO handle the exception
        }
    }, 1000);

}

function loadBankXWData() {
    
    setTimeout(function() {
        try {
            var url = appHost.bankNewsService;
            // console.log("loadBankXWData----"+url);
            requestUtilGet(url, true, function(obj) {
                try {
                    if (obj != null) {
                        var domcontent_div = document.getElementById("bank_content");
                        var html = template("bankresult", obj);
                        domcontent_div.innerHTML += html;
                    }
                } catch (e) {
                    //TODO handle the exception
                    //                    mui.alert("数据解析异常！", '温馨提示');
                }
            }, function(error) {

            });
        } catch (e) {
            //TODO handle the exception
        }
    }, 2000);
    
}

// function loadYiBaoXWData() {
//     setTimeout(function() {
//         try {
//             var url = appHost.yibaoNewsService;
//             // console.log("loadYiBaoXWData----"+url);
//             requestUtilGet(url, true, function(obj) {
//                 try {
//                     if (obj != null) {
//                         var domcontent_div = document.getElementById("yibao_content");
//                         var html = template("bankresult", obj);
//                         domcontent_div.innerHTML += html;
//                     }
//                 } catch (e) {
//                     //TODO handle the exception
//                     //                    mui.alert("数据解析异常！", '温馨提示');
//                 }
//             }, function(error) {

//             });
//         } catch (e) {
//             //TODO handle the exception
//         }
//     }, 3000);
// }


mui('#xw_content').on('tap', 'li', function() {
	var targetId = this.getAttribute('id');
	var targetUrl = appHost.domain + "wapnewinfo?infoId=" + targetId;
	openXWDetailPage(targetUrl);
});

mui('#bank_content').on('tap', 'li', function() {
	var targetUrl = this.getAttribute('id');
	openXWDetailPage(targetUrl);
});

// mui('#yibao_content').on('tap', 'li', function() {
// 	var targetUrl = this.getAttribute('id');
// 	openXWDetailPage(targetUrl);
// });

mui('#slider_content').on('tap', 'div', function() {
	var targetUrl = this.getAttribute('title');
	openXWDetailPage(targetUrl);
});

function openXWDetailPage(targetUrl) {
	if (targetUrl.trim() != "") {
		mui.openWindow({
			url: "xw_detail.html",
			extras: {
				targetUrl: targetUrl
			}
		});
	}
}

var deductionsType = "";
mui('#deductions_div').on('tap', 'li', function() {
	var targetId = this.getAttribute('id');
	if (targetId == 'authentication/injury') { //工伤认证
		authenticationUtil.injury();
		return;
	}
	if(targetId == "wealth/wealth_index" || targetId == "activate_bank"){
		var canShow = false;
		if ((state.token != "" && state.token != undefined && state.accountMask != undefined)) {
			canShow = true;
		}
		if (targetId == "wealth/wealth_index") {
			mui.openWindow({
				url: 'wealthLink.html'
			});
		
		} else if (canShow) {
			if (targetId == "activate_bank") {
				checkBank();
			} else if (targetId.indexOf("deductions") != -1) {
				if (targetId == "deductions/pension_deductions") {
					deductionsType = "3";
				} else if (targetId == "deductions/health_deductions") {
					deductionsType = "4";
				}
				deductionsQuery(deductionsType);
			} else {
				var targetUrl = targetId + ".html";
				var ws = plus.webview.create(targetUrl, targetId, {
					top: "0px",
					bottom: "0px"
				});
				ws.show();
			}
		} else {
			var btnArray = ['否', '是'];
			mui.confirm('需要登录才能使用此功能，是否登录？', '温馨提示', btnArray, function(e) {
				if (e.index == 1) {
					jump.login();
				}
			});
		}
	} else {
		mui.alert("维护中，请使用辽事通App查询！", '温馨提示');
	}
	
});

function checkBank() {
	plus.nativeUI.showWaiting("努力加载中，请稍候......");
	var state = app.getState();
	var paramObj = {};
	paramObj.account = "account_k_v";
	paramObj.name = "username_k_v";
	var paramJson = JSON.stringify(paramObj);
	
	requestUtilPost(appHost.service + "checkBankPwd", "data", paramJson, true, successFunCheckBank, errorFun);
}

function successFunCheckBank(obj) {
	plus.nativeUI.closeWaiting();
	try {
		if (obj.code == 'success') {
			var ws = plus.webview.create("activate_bank.html", "activate_bank", {
				top: "0px",
				bottom: "0px"
			});
			ws.show();
		} else if (obj.code == 'sign') {
			var msgText = obj.msg != undefined ? obj.msg.toString() : "是否继续？";
			var btnArray = ['取消', '确认'];
			mui.confirm(msgText, '温馨提示', btnArray, function(e) {
				if (e.index == 1) {
					var ws = plus.webview.create("payment/sign.html", "sign", {
						top: "0px",
						bottom: "0px"
					});
					ws.show();
				}
			});
		} else if (obj.code == 'error') {
			var log = obj.msg.toString();
			mui.alert(log, '温馨提示');
		} else {
			mui.alert("服务器响应错误！", '温馨提示');
		}
	} catch (e) {
		//TODO handle the exception
		mui.alert("数据解析异常！", '温馨提示');
	}
}

function deductionsQuery(deductionsType) {
	plus.nativeUI.showWaiting("努力加载中，请稍候......");
	var paramObj = {};
	paramObj.name = "username_k_v";
	paramObj.account = "account_k_v";
	paramObj.type = deductionsType;
	var paramJson = JSON.stringify(paramObj);
	requestUtilPost(appHost.service + "agentquery", "data", paramJson, true, successFun, errorFun);
}

function successFun(obj) {
	plus.nativeUI.closeWaiting();
	try {
		if (obj.code == 'success') {
			var targetId = "";
			if (deductionsType == "3") {
				targetId = "deductions/pension_deductions";
			} else if (deductionsType == "4") {
				targetId = "deductions/health_deductions";
			}
			var targetUrl = targetId + ".html";
			var ws = plus.webview.create(targetUrl, targetId, {
				top: "0px",
				bottom: "0px"
			});
			ws.show();
		} else if (obj.code == 'sign') { //签约
			var ws = plus.webview.create("payment/sign.html", "sign", {
				top: "0px",
				bottom: "0px"
			});
			ws.show();
		} else if (obj.code == 'error') {
			var log = obj.msg.toString();
			mui.alert(log, '温馨提示');
		} else {
			mui.alert("服务器响应错误！", '温馨提示');
		}
	} catch (e) {
		//TODO handle the exception
		mui.alert("数据解析异常！", '温馨提示');
	}
}

function errorFun(result) {
	plus.nativeUI.closeWaiting();
	mui.alert(result, '温馨提示');
}
